You are here: Known Vulnerabilities in Mozilla Products (Firefox 1.5) > MFSA 2006-09

Mozilla Foundation Security Advisory 2006-09

Title: Cross-site JavaScript injection using event handlers
Impact: High
Date: April 13, 2006
Reporter: shutdown
Products: Firefox, Thunderbird, Mozilla Suite

Fixed in: Firefox 1.5
  Firefox 1.0.8
  Thunderbird 1.5
  Thunderbird 1.0.8
  Mozilla Suite 1.7.13
  SeaMonkey 1.0

Description

shutdown reported a method of injecting running JavaScript code into a page on another site using a modal alert to suspend an event handler while a new page is being loaded. This vulnerability allows an attacker to steal any confidential information the new page might contain, including any passwords and cookies which might allow the attacker to log on to that site as the victim.

shutdown also reported a variant using the two-argument form of eval() that did not require a modal dialog and would be much less obtrusive. moz_bug_r_a4 reported two variants that bypassed our initial fixes, one using "new Script()", the other extending the eval() attack using window.__proto__

Thunderbird shares the browser engine with Firefox and could be vulnerable if JavaScript were to be enabled in mail. This is not the default setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

Exploit code and details embargoed during the active update period.

Original vulnerability:

Firefox 1.5 fix:

Alternate fix for Firefox 1.0.8/Mozilla Suite 1.7.13:

Variants: